@import url("./global.css");

.check-container{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 94px 20px 0;
}
.check__title{
    font-style: normal;
    font-weight: 600;
    font-size: 46px;
    line-height: 120%;
    color: var(--color-black);
    margin: 0;
}
.check__form{
    margin: 0 auto;
    max-width: 335px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.form-wrapper{
    display: flex;
    flex-direction: column;
    margin-top: 40px;
    margin-bottom: 20px;
    position: relative;
    width: 100%;
}
.form-wrapper--label{
    padding-bottom: 13px;
    text-align: left;
    font-size: 14px;
    color: var(--color-black);
}
.form-wrapper--input{
    padding: 15px 54px 15px 15px;
    max-width: 335px;
    width: 100%;
    height: 47px;
    border-radius: 10px;
    border: 2px solid var(--color-background-gray);
    font-size: 18px;
    line-height: 120%;
    font-weight: 400;
    color: var(--color-black);
}

.check-form__btn{
    padding: 18px 50px;
    min-width: 235px;
    border-radius: 60px;
    border: none;
    background: var(--color-light-blue);
    color: var(--color-white);
    font-size: 18px;
    font-weight: 600;
    line-height: 120%;
    cursor: pointer;
}

.check-ticket{
    margin: 40px auto;
}
.check-ticket__image{
    position: relative;
    padding-top: 50%;
}
.check-ticket img{
    margin: 20px auto 0;
}
.check-image{
    position: absolute;
    inset: 0;
    width: 100%;
    height: auto !important;
    aspect-ratio: 2.47;
}

.check-error{
    margin-bottom: 40px;
    text-align: left;
}

.check-error__title{
    display: flex;
    align-items: center;
    margin-bottom: 30px;
}
.check-error__title-img, .check-error__title-img img{
    width: 64px;
    height: 64px;
}
.check-error__title-img{
    margin-right: 10px;
    margin-left: 0;
}
.check-error__describ{
    text-align: left;
    font-size: 16px;
    font-weight: 400;
    line-height: 160%;
}
.check-error__describ p:first-child {
    padding-bottom: 15px;
    border-bottom: 1px solid var(--color-background-gray);
}
.check-error__describ p:last-child {
    padding-top: 15px;
}
.check-error__describ a {
    font-weight: 600;
    text-decoration: none;
    color: var(--color-black);
    white-space: nowrap;
}
@media (min-width: 576px), screen and (max-width: 576px){
    .check__title{
        font-weight: 600;
        font-size: 24px;
        line-height: 120%;
    }
}

@media screen and (min-width: 768px){
    .check-container{
        margin-top: 0;
        width: calc(100% - 40px);
    }
    .check__title{
        font-weight: 600;
        font-size: 24px;
        line-height: 120%;
    }
    .check__form{
        max-width: 450px;
    }
    .form-wrapper{
        margin-top: 50px;
        margin-bottom: 30px;
    }
    .form-wrapper--label{
        font-size: 21px;
    }
    .form-wrapper--input{
        padding: 20px;
        max-width: 450px;
        height: 55px;
        font-size: 25px;
    }
    .check-form__btn{
        width: 100%;
        font-size: 24px;
    }
    .check-ticket{
        margin-top: 70px;
        margin-bottom: 70px;
    }
    .check-ticket__image{
        height: 100% !important;
        padding-top: 0;
    }
    .check-ticket__image img{
        display: block;
        position: relative !important;
        height: auto !important;
        max-height: 447px;
        inset: unset;
        max-width: 1078px;
    }
    .check-img-mobile{
        display: none;
    }
    .check-error{
        width: 100%;
        margin-bottom: 70px;
    }
    .check-error__title{
        margin-bottom: 50px;
    }
    .check-error__title-img, .check-error__title-img img{
        width: 130px;
        height: 130px;
    }
    .check-error__title-img{
        margin-right: 50px;
        margin-left: 0;
    }
    .check-error__describ{
        font-size: 21px;
        line-height: 120%;
    }
    .check-error__describ p:first-child {
        padding-bottom: 30px;
    }
    .check-error__describ p:last-child {
        padding-top: 30px;
    }
}


@media (min-width: 992px), only screen and (min-width: 1200px){
    .check__title{
        font-weight: 600;
        font-size: 36px;
        line-height: 120%;
    }
}


@media screen and (min-width: 1600px){
    .check__title{
        font-weight: 600;
        font-size: 46px;
        line-height: 120%;
    }
    .check-ticket img{
        min-width: 1084px;
    }
    .check-error{
        max-width: 1200px;
    }
}


@import url("./global.css");

.check-container{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 94px 20px 0;
}
.check__title{
    font-style: normal;
    font-weight: 600;
    font-size: 46px;
    line-height: 120%;
    color: var(--color-black);
    margin: 0;
}
.check__form{
    margin: 0 auto;
    max-width: 335px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.form-wrapper{
    display: flex;
    flex-direction: column;
    margin-top: 40px;
    margin-bottom: 20px;
    position: relative;
}
.form-wrapper--label{
    padding-bottom: 13px;
    text-align: left;
    font-size: 14px;
    color: var(--color-black);
}
.form-wrapper--input{
    padding: 15px 54px 15px 15px;
    max-width: 335px;
    width: 100%;
    height: 47px;
    border-radius: 10px;
    border: 2px solid var(--color-background-gray);
    font-size: 18px;
    line-height: 120%;
    font-weight: 400;
    color: var(--color-black);
}

.check-form__btn{
    padding: 18px 50px;
    min-width: 235px;
    border-radius: 60px;
    border: none;
    background: var(--color-light-blue);
    color: var(--color-white);
    font-size: 18px;
    font-weight: 600;
    line-height: 120%;
    cursor: pointer;
}

.check-ticket{
    margin: 40px auto;
}
.check-ticket__image{
    position: relative;
    padding-top: 50%;
}
.check-ticket img{
    margin: 20px auto 0;
}
.check-image{
    position: absolute;
    inset: 0;
    width: 100%;
    height: auto !important;
    aspect-ratio: 2.47;
}





.check-error__describ p:first-child{
    padding-bottom: 15px;
    border-bottom: 1px solid var(--color-background-gray);
}
.check-error__describ p:last-child{
    padding-top: 15px;
}
.check-error__describ a{
    font-weight: 600;
    text-decoration: none;
    color: var(--color-black);
    white-space: nowrap;
}

@media (min-width: 576px), screen and (max-width: 576px){
    .check__title{
        font-weight: 600;
        font-size: 24px;
        line-height: 120%;
    }
}

@media screen and (min-width: 768px){
    .check-container{
        margin-top: 0;
        width: calc(100% - 40px);
    }
    .check__title{
        font-weight: 600;
        font-size: 24px;
        line-height: 120%;
    }
    .check__form{
        max-width: 450px;
    }
    .form-wrapper{
        margin-top: 50px;
        margin-bottom: 30px;
    }
    .form-wrapper--label{
        font-size: 21px;
    }
    .form-wrapper--input{
        padding: 20px;
        max-width: 450px;
        height: 55px;
        font-size: 25px;
    }
    .check-form__btn{
        width: 100%;
        font-size: 24px;
    }
    .check-ticket{
        margin-top: 70px;
        margin-bottom: 70px;
    }
    .check-ticket__image{
        height: 100% !important;
        padding-top: 0;
    }
    .check-ticket__image img{
        display: block;
        position: relative !important;
        height: auto !important;
        max-height: 447px;
        inset: unset;
        max-width: 1078px;
    }
    .check-img-mobile{
        display: none;
    }

}

@media (min-width: 992px), only screen and (min-width: 1200px){
    .check__title{
        font-weight: 600;
        font-size: 36px;
        line-height: 120%;
    }
}
@media (min-width: 1200px){
    .check-ticket, .check-error{
        width: calc(100% - 200px);
        margin-left: auto;
        margin-right: auto;
    }
    .check-ticket img{
        max-width: 1084px;
        min-width: unset;
    }
}
@media screen and (min-width: 1600px){
    .check__title{
        font-weight: 600;
        font-size: 46px;
        line-height: 120%;
    }
    .check-ticket img{
        min-width: 1084px;
    }
}